%define momorel 4
%define texmf %{_datadir}/texmf

Name: jadetex
Version: 3.13
Release: %{momorel}m
Group: Applications/Text

Summary: TeX macros used by Jade TeX output.

License: see "jadetex.dtx" and see "lppl.txt"
URL: http://sourceforge.net/projects/jadetex/

Requires: sgml-common >= 0.5
Requires: tetex >= 0.9 tetex-latex >= 0.9
Requires: openjade
Requires: tetex >= 0.9
Requires: tetex-doc
BuildRequires: unzip
BuildRequires: tetex-latex >= 1.0.7-48k

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildArch: noarch
Source0: http://telia.dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: jadefmtutil.cnf
#Patch0: jadetex-makefile.patch
#Patch1: jadetex-emergency.patch
#Patch2: jadetex-3.11-exp.patch
Patch3: jadetex-3.11-twosides.patch
Nosource: 0

%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files, to obtain DVI, Postscript
or PDF files for example.


%prep
%setup -q
cp %{SOURCE1} .
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
%patch3 -p0

%build
make

%install
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR
mkdir -p $DESTDIR
make install DESTDIR=$DESTDIR

mkdir -p ${DESTDIR}%{texmf}/tex/jadetex
cp *.ini ${DESTDIR}%{texmf}/tex/jadetex
cp *.sty ${DESTDIR}%{texmf}/tex/jadetex
cp *.cnf ${DESTDIR}%{texmf}/tex/jadetex

mkdir -p ${DESTDIR}%{_bindir}
ln -s virtex ${DESTDIR}%{_bindir}/jadetex
ln -s pdfvirtex ${DESTDIR}%{_bindir}/pdfjadetex


%clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%post
/usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
/usr/bin/env - %{_bindir}/fmtutil --cnffile %{texmf}/tex/jadetex/jadefmtutil.cnf --all > /dev/null 2>&1
exit 0


%files
%defattr (-,root,root)
%doc jadetex.dtx
%{texmf}/web2c/jadetex.fmt
%{texmf}/web2c/pdfjadetex.fmt
%{texmf}/tex/jadetex/dsssl.def
%{texmf}/tex/jadetex/jadetex.ltx
%{texmf}/tex/jadetex/jadetex.ini
%{texmf}/tex/jadetex/pdfjadetex.ini
%{texmf}/tex/jadetex/dummyels.sty
%{texmf}/tex/jadetex/mlnames.sty
%{texmf}/tex/jadetex/ucharacters.sty
%{texmf}/tex/jadetex/uentities.sty
%{texmf}/tex/jadetex/unicode.sty
%{texmf}/tex/jadetex/jadefmtutil.cnf
%{_bindir}/jadetex
%{_bindir}/pdfjadetex

%triggerin -- tetex
/usr/bin/env - %{_bindir}/fmtutil --cnffile %{texmf}/tex/jadetex/jadefmtutil.cnf --all > /dev/null 2>&1
exit 0

%changelog
* Wed Nov 19 2003 zunda <zunda at freeshell.org>
- (3.13-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- mlnames.sty is under LaTeX Project Public License: lppl.txt is included
  in tetex-doc.

* Mon Jul 28 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.13-3m)
- modify changelog

* Mon Jul 28 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.13-2m)
- add BuildRequires: tetex-latex >= 1.0.7-48k

* Sat Jul 26 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.13-1m)
- upgrade 3.13

* Wed May 21 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.12-4m)
- modified %%define macro

* Fri May  3 2002 zunda <zunda@kondara.org>
- (3.12-2k)
- source and URL update
- BuildRequires: tetex >= 1.0.7-48k to get enough space for formatting

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (3.11-2k)
- merge from Jirai.

* Mon May  7 2001 Shingo Akagaki <dora@kondara.org>
- mujitu!

* Mon May  7 2001 Shingo Akagaki <dora@kondara.org>
- spec kusatteru...

* Mon Feb 12 2001 Tim Waugh <twaugh@redhat.com>
- 3.3.  Redo jadetex-makefile.patch.

* Fri Jan 19 2001 Tim Waugh <twaugh@redhat.com>
- Earlier change was wrong; jade should be required, not openjade
- Require sgml-common >= 0.5.

* Wed Jan 17 2001 Tim Waugh <twaugh@redhat.com>
- Make tetex a %%post requirement.
- Silence %%post output.
- Don't play so many macro games.
- Build requires unzip.

* Fri Jan 12 2001 Tim Waugh <twaugh@redhat.com>
- Make symlinks relative.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- Require openjade not jade.
- rm before install.
- Use %%{_tmppath}/%{name}-%{version}-root
- Require tetex-latex.
- Change Copyright: to License:.
- Remove Packager: line.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
